= tlsrpt_finish_policy(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_finish_policy
:mansource: tlsrpt_finish_policy
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_finish_policy - finishes a policy within a delivery request

== Synopsis

#include <tlsrpt.h>

int tlsrpt_finish_policy(struct tlsrpt_dr_t* dr, tlsrpt_final_result_t final_result)

== Description

The `tlsrpt_finish_policy` function finishes a policy within a delivery request.
It frees all the resources allocated by `tlsrpt_init_policy`.
Every call to `tlsrpt_init_policy` must be matched by a call to `tlsrpt_finish_policy`!

NOTE: No plausibility checks are done by the library regarding the number of failures added to this policy and the final result.
It is just as well possible to finish a poliy as `TLSRPT_FINAL_FAILURE` with no failures added at all, as it is possible to finish a poliy as `TLSRPT_FINAL_SUCCESS` with one or more failures added.



== Return value

The tlsrpt_finish_policy function returns 0 on success and a combined error code on failure.
The combined error code can be analyzed with the _tlsrpt_strerror_ function.

== See also
man:tlsrpt_init_policy[3], man:tlsrpt_strerror[3], man:tlsrpt_error_code_is_internal[3]






